HEAD(1)

NAZWA
head - wypisuje początek plików

SKŁADNIA
head [OPCJA]... [PLIK]...

OPIS

Wypisuje pierwsze 10 wierszy każdego PLIKU na standardowe wyjście. W przypadku podania więcej niż jednego PLIKU, poprzedza każdą część nagłówkiem z nazwą pliku.

Jeśli nie podano PLIKU lub jako PLIK podano -, czyta standardowe wejście.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-c, --bytes=[-]LICZBA
    wypisuje pierwszych LICZBA bajtów z każdego pliku; jeśli liczbę poprzedzono znakiem -, to wypisywane jest wszystko oprócz ostatnich LICZBA bajtów każdego pliku

-n, --lines=[-]LICZBA
    wypisuje pierwszych LICZBA wierszy zamiast domyślnych 10; jeśli liczbę poprzedzono znakiem -, to wypisywane jest wszystko oprócz ostatnich LICZBA wierszy każdego pliku

-q, --quiet, --silent
    nigdy nie wypisuje nagłówków z nazwami plików

-v, --verbose
    zawsze wypisuje nagłówki z nazwami plików

-z, --zero-terminated
    kończy wiersze bajtem NUL, zamiast znakiem nowego wiersza

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

LICZBA może być posiadać jeden z następujących przyrostków: b 512, kB 1000, K 1024, MB 1000*1000, M 1024*1024, GB 1000*1000*1000, G 1024*1024*1024, itd. dla T, P, E, Z, Y, R, Q. Można używać również przyrostków binarnych, np. KiB=K, MiB=M itd.

AUTOR
Napisane przez Davida MacKenzie i Jima Meyeringa.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia programu prosimy poinformować przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2024 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
tail(1)

Pełna dokumentacja: <https://www.gnu.org/software/coreutils/head>
lub lokalnie, za pomocą info '(coreutils) head invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Gwidon S. Naskrent <naskrent@hoth.amu.edu.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.